/**@file
 *			Patches for Anthy, by G-HAL
 *@brief	mergesort شؿ
 *@date		Sun,02 Nov,2008
 *@author	Copyright(C)2008 G-HAL
 */
#ifndef __ALTERNATIVE_MERGESORT_H__
#define __ALTERNATIVE_MERGESORT_H__

#if defined(HAVE_CONFIG_H)
# include	"config.h"
#endif


#if (!defined(HAVE_MERGESORT) && defined(HAVE_CONFIG_H))
# if defined(HAVE_ALTERNATIVE_MERGESORT)
#  include <stddef.h>
#  if defined(__cplusplus)
extern "C" {
#  endif /* defined(__cplusplus) */
int      mergesort(void *, size_t, size_t, int (*)(const void *, const void *));
#  if defined(__cplusplus)
}
#  endif /* defined(__cplusplus) */
#  define	ENABLE_ALTERNATIVE_MERGESORT
# else
#  error("A function mergesort() or alternative function is required.")
# endif
#endif


#endif /* __ALTERNATIVE_MERGESORT_H__ */
/* [ End of File ] */
