#ifndef __diclib_inner_h_included__
#define __diclib_inner_h_included__

/* Patched by G-HAL, Tue,09 Jun,2009, Fri,12 Jun,2009 */
#if !defined(__STDC_LIMIT_MACROS)
# define	__STDC_LIMIT_MACROS
#endif
#include <stdint.h>

#include "anthy/xstr.h"



/* file_dic.h */
int anthy_init_file_dic(void);
void anthy_quit_file_dic(void);


/* xchar.c */
#if 0	/* Patched by G-HAL, Mon,25 May,2009 */
void anthy_init_xchar_tab(void);
#else
extern int anthy_init_xchar_tab( void );
extern int anthy_quit_xchar_tab( void );
#endif

#if defined(USE_ICONV)	/* Patched by G-HAL, Fri,12 Jun,2009 */
extern int anthy_xchar_to_num( xchar xc );
extern xchar anthy_xchar_wide_num_to_num( xchar xc );
extern xchar anthy_lookup_half_wide( xchar xc );
extern int anthy_find_half_kana( xchar xc, xchar* const dst, xchar* const mod );
#endif

#if 1	/* Patched by G-HAL, Tue,09 Jun,2009 */
extern xchar anthy_xchar_hira_to_kata( xchar xc );
extern xchar anthy_xchar_kata_to_hira( xchar xc );
#endif

#endif
